<?php
	$GLOBALS['gopaypal_base_version'] = 0.1;
	function gopaypal_upgrade() {
		$version_base = $GLOBALS['gopaypal_base_version'];
		$current_version = 0.0;
		if ( (isset($GLOBALS['meta']['gopaypal_base_version']) )
            && (($current_version = $GLOBALS['meta']['gopaypal_base_version']) == $version_base))
            return;
        
        include_spip('base/gopaypal');
        if ( $current_version == 0.0 ) {
            include_spip('base/create');
            include_spip('base/abstract_sql');
            creer_base();
            ecrire_meta('gopaypal_base_version', $current_version=$version_base,'non');
            ecrire_meta(
                'gopaypal_paypal',
                serialize(array(
                    'url_paypal'          => 'https://www.paypal.com/cgi-bin/webscr',  //prod
                    //'url_paypal'          => 'https://www.sandbox.paypal.com/fr/cgi-bin/webscr',  //test
                    'notify_url'          => 'www.paypal.com',  //prod
                    //'notify_url'          => 'www.sandbox.paypal.com',  //test
                    'url_retour'          => '',
                    'compte_paypal'       => 'nom@domaine.tld',
                    'style_page'          => 'PayPal',
                    'donner'              => 'on',
                    'vendre'              => '',
                    'garder_notification' => 'on'
                    ))
                );
			ecrire_metas();
		}
	}
	
	function gopaypal_vider_tables() {
		include_spip('base/gopaypal');
		include_spip('base/abstract_sql');
		spip_query("DROP TABLE spip_gopaypal_produits");
		spip_query("DROP TABLE spip_gopaypal_versements");
		effacer_meta('gopaypal_base_version');
		effacer_meta('go_paypal_paypal');
		ecrire_metas();
	}
	
	function gopaypal_install($action){
		$version_base = $GLOBALS['gopaypal_base_version'];
		switch ($action) {
			case 'test': // on test si le plugin est dj install
                return ( 
                    isset($GLOBALS['meta']['gopaypal_base_version']) and
                    ($GLOBALS['meta']['gopaypal_base_version'] >= $version_base) 
                );
				break;
			case 'install':
				gopaypal_upgrade();
				break;
			case 'uninstall':
				gopaypal_vider_tables();
				break;
		}
	}	
?>